Subject: [bug#38099] [PATCH 2/3] gnu: kdevelop: Update to 5.4.4.

From: Hartmut Goebel <[email-masked]>
Date: Thu, 7 Nov 2019 17:53:09 +0100

Am 07.11.19 um 13:36 schrieb Efraim Flashner:
> I suggest you try out swapping out the majority of wrap-program and take
> a look at wrap-qt-program from (guix build qt-utils), which should take
> care of the different qt variables.

wrap-qt-program sound good, but I#m afraid, it is

a) insufficient in this case, since it does not cover
QT_QPA_PLATFORM_PLUGIN_PATH, which seems to require

b) looks faulty, since it adds paths $out/qml and $out/plugins, which
are wrong (even if they exit in e.g. sddm)

But I will model the code here along the lines of wrap-qt-program, thus
easing migration to wrap-qt-program somewhen later.

-- 
Regards
Hartmut Goebel

| Hartmut Goebel          | [email-masked]               |
| www.crazy-compilers.com | compilers which you thought are impossible |